Typedefs | Variables

# story_type.h File Reference

basic types related to story pages More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Typedefs
typedef uint16 | StoryPageElementID
| ID of a story page element.
typedef uint16 | StoryPageID
| ID of a story page.
## Variables
StoryPageElementID | _new_story_page_element_id
StoryPageID | _new_story_page_id
static const StoryPageElementID | INVALID_STORY_PAGE_ELEMENT = 0xFFFF
| Constant representing a non-existing story page element.
static const StoryPageID | INVALID_STORY_PAGE = 0xFFFF
| Constant representing a non-existing story page.

## Detailed Description

basic types related to story pages

Definition in file story_type.h.